Subject: Re: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Apr 2022 13:09:58 +0200

Eli Zaretskii <[email-masked]> writes:

>> So do you think the current behavior is consistent, or are you just
>> cautious about trying to change it?
>
> I'm cautious about changing this and don't see the apparent
> inconsistency as a big deal.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I don't think we want to change the behaviour at this point, as that
might break a lot of code subtly out there, but it should be documented.
So I've now done that in Emacs 29, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no